• Paul Eggert's avatar
    Do not require libXt-devel when building with gtk. · 181f08a7
    Paul Eggert authored
    * lwlib/lwlib-widget.h: New file, with contents taken from lwlib.h.
    (widget_value) [HAVE_NTGUI]: New member 'title'.
    * lwlib/lwlib.h: Include lwlib-widget.h.
    (change_type, enum button_type, widget_value):
    Move to lwlib-widget.h.
    * src/gtkutil.h, src/menu.h: Include lwlib-widget.h, not lwlib-h, to avoid
    dependency on libXt-devel.
    * src/menu.h [HAVE_NTGUI]: Include lwlib-widget.h in this case too.
    (enum button_type, widget_value) [HAVE_NTGUI]: Remove, as
    lwlib-widget.h now does this.
    * src/nsmenu.m (ns_menu_show): "enabled" -> "enable" to fix typo.
    181f08a7
ChangeLog 61.5 KB